Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPipelineSize Class Reference

`#include <vtkPipelineSize.h>`

Inheritance diagram for vtkPipelineSize:

[legend]
Collaboration diagram for vtkPipelineSize:

[legend]
List of all members.

## Detailed Description

compute the memory required by a pipeline

Date:
  2002/08/12 15:20:30

Revision:
  1.8

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (91%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkPipelineSize.cxx)`
  - .`h` (`/Parallel/vtkPipelineSize.h)`

Tests:
  vtkPipelineSize (Tests)

Definition at line 44 of file vtkPipelineSize.h.

## [NOHEADER]
typedef vtkObject | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
vtkPipelineSize * | New ()
int | IsTypeOf (const char *type)
vtkPipelineSize * | SafeDownCast (vtkObject *o)
## Public Methods
unsigned long | GetEstimatedSize (vtkDataObject *input)
unsigned long | GetNumberOfSubPieces (unsigned long memoryLimit, vtkPolyDataMapper *mapper)
## Protected Methods
| vtkPipelineSize ()
void | GenericComputeSourcePipelineSize (vtkSource *src, vtkDataObject *output, unsigned long size[3])
void | ComputeSourcePipelineSize (vtkSource *src, vtkDataObject *output, unsigned long size[3])
void | ComputeOutputMemorySize (vtkSource *src, vtkDataObject *output, unsigned long *inputSize, unsigned long size[2])
void | GenericComputeOutputMemorySize (vtkSource *src, vtkDataObject *output, unsigned long *inputSize, unsigned long size[2])
void | ComputeDataPipelineSize (vtkDataObject *input, unsigned long sizes[3])

## Member Typedef Documentation

typedef vtkObject vtkPipelineSize::Superclass

| Reimplemented from vtkObject. Definition at line 49 of file vtkPipelineSize.h.

## Constructor & Destructor Documentation

vtkPipelineSize::vtkPipelineSize | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkPipelineSize.h.

## Member Function Documentation

vtkPipelineSize* vtkPipelineSize::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPipelineSize::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkPipelineSize::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkPipelineSize::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkPipelineSize* vtkPipelineSize::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

virtual void vtkPipelineSize::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

unsigned long vtkPipelineSize::GetEstimatedSize | ( | vtkDataObject * | input | ) |

| Compute an estimate of how much memory a pipline will require in kilobytes (1024 bytes not 1000) This is only an estimate and the calculations in here do not take into account the specifics of many sources and filters.

unsigned long vtkPipelineSize::GetNumberOfSubPieces | ( | unsigned long | memoryLimit,
|  | vtkPolyDataMapper * | mapper
| ) |

| Determine how many subpieces a mapper should use to fit a target memory limit. This takes into account the mapper's Piece and NumberOfPieces.

void vtkPipelineSize::GenericComputeSourcePipelineSize | ( | vtkSource * | src,
|  | vtkDataObject * | output,
|  | unsigned long | size[3]
| ) | `[protected]`

void vtkPipelineSize::ComputeSourcePipelineSize | ( | vtkSource * | src,
|  | vtkDataObject * | output,
|  | unsigned long | size[3]
| ) | `[protected]`

void vtkPipelineSize::ComputeOutputMemorySize | ( | vtkSource * | src,
|  | vtkDataObject * | output,
|  | unsigned long * | inputSize,
|  | unsigned long | size[2]
| ) | `[protected]`

void vtkPipelineSize::GenericComputeOutputMemorySize | ( | vtkSource * | src,
|  | vtkDataObject * | output,
|  | unsigned long * | inputSize,
|  | unsigned long | size[2]
| ) | `[protected]`

void vtkPipelineSize::ComputeDataPipelineSize | ( | vtkDataObject * | input,
|  | unsigned long | sizes[3]
| ) | `[protected]`

The documentation for this class was generated from the following file:

- Parallel/vtkPipelineSize.h